if UnitClass("player") == "Monk" then
function MonkHelper_Config()
----Create Frame for options-----
MonkHelper = {}
MonkHelper.panel = CreateFrame("Frame", "MHOpt", UIParent)
MonkHelper.panel.name = "Monk Helper"
InterfaceOptions_AddCategory(MonkHelper.panel)
MonkHelper.panel.default = function()
MonkHelper_Defaults()
MonkHelper_UpdateUI()
end

MonkHelper.panel.okay = function()
MonkHelper_Apply()
end
MonkHelper.panel.cancel = function()
MonkHelper_Cancel()
end
MonkHelper.panel.refresh = function()
MonkHelper_Cancel()
end
MHapply = CreateFrame("Button", "MHApply", MonkHelper.panel, "UIPanelButtonTemplate")
MHapply:SetHeight(20)
MHapply:SetWidth(70)
MHapply:SetText("Apply")
MHapply:ClearAllPoints()
MHapply:SetPoint("CENTER", MonkHelper.panel, "BOTTOMRIGHT", -50, 20)
MHapply:SetScript("OnClick", MonkHelper_Apply)

------------------------------------------
MHscale = CreateFrame("Slider","MHScale", MonkHelper.panel)
MHscale:SetPoint("TOPLEFT", 15, -220)
MHscale:SetWidth(600)
MHscale:SetHeight(20)
MHscale:SetOrientation("HORIZONTAL")
MHscale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MHscale:SetMinMaxValues(0.5,2)
MHscale:SetValue(MonkHelper_Options.chibarscale)
MHscale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MHscale:SetScript("OnValueChanged", function (self, value) cbsvalue:SetText(string.sub(value, 1, 4)) end)
cbsheader = MonkHelper.panel:CreateFontString("MHChiBarScaleText", "OVERLAY", "GameFontNormal")
cbsheader:SetPoint("BOTTOMLEFT", MHscale, "TOPLEFT")
cbsheader:SetText("Chi Bar Scale")
cbsvalue = MonkHelper.panel:CreateFontString("MHCBSValue", "OVERLAY", "GameFontNormal")
cbsvalue:SetPoint("BOTTOMRIGHT", MHscale, "TOPRIGHT")
cbsvalue:SetText(string.sub(MonkHelper_Options.chibarscale, 1, 4))
----------------------------------------------
MHrscale = CreateFrame("Slider","MHRScale", MonkHelper.panel)
MHrscale:SetPoint("TOPLEFT", 15, -260)
MHrscale:SetWidth(600)
MHrscale:SetHeight(20)
MHrscale:SetOrientation("HORIZONTAL")
MHrscale:SetThumbTexture("Interface\\Buttons\\UI-SliderBar-Button-Horizontal")
MHrscale:SetMinMaxValues(0.5,2)
MHrscale:SetValue(MonkHelper_Options.resourcebarscale)
MHrscale:SetBackdrop({
      bgFile ="Interface\\Buttons\\UI-SliderBar-Background",
      edgeFile = "Interface\\Buttons\\UI-SliderBar-Border",
      tile = true, tileSize = 8, edgeSize = 8,
      insets = { left = 3, right = 3, top = 6, bottom = 6 }})
	 
MHrscale:SetScript("OnValueChanged", function (self, value) rsvalue:SetText(string.sub(value, 1, 4)) end)
rsheader = MonkHelper.panel:CreateFontString("MHResourceBarScaleText", "OVERLAY", "GameFontNormal")
rsheader:SetPoint("BOTTOMLEFT", MHrscale, "TOPLEFT")
rsheader:SetText("Resource Bar Scale")
rsvalue = MonkHelper.panel:CreateFontString("MHRBSValue", "OVERLAY", "GameFontNormal")
rsvalue:SetPoint("BOTTOMRIGHT", MHrscale, "TOPRIGHT")
rsvalue:SetText(string.sub(MonkHelper_Options.resourcebarscale, 1, 4))
--------------------------------- 
MHlock = CreateFrame("CheckButton", "MHLock", MonkHelper.panel, "ChatConfigCheckButtonTemplate")
MHlock:SetPoint("TOPLEFT", 15, -20)
MHLockText:SetText("Lock Frames") -- $parentText
MHlock:SetChecked(MonkHelper_Options.lockframes)
mhlheader = MonkHelper.panel:CreateFontString("MHLockText", "OVERLAY", "GameFontNormal")
mhlheader:SetPoint("TOPLEFT", MHlock, "TOPRIGHT", 75, -4)
mhlheader:SetText("Frames auto-lock during combat.")
-----------------------------------------
MHhide = CreateFrame("CheckButton", "MHHide", MonkHelper.panel, "ChatConfigCheckButtonTemplate")
MHhide:SetPoint("TOPLEFT", 15, -40)
MHHideText:SetText("Hide Frames When Out Of Combat") 
MHhide:SetChecked(MonkHelper_Options.hideframes)
---------------------------------------
MHchibarshow = CreateFrame("CheckButton", "MHChiBarShow", MonkHelper.panel, "ChatConfigCheckButtonTemplate")
MHchibarshow:SetPoint("TOPLEFT", 15, -60)
MHChiBarShowText:SetText("Chi Tracker")
MHchibarshow:SetChecked(MonkHelper_Options.show.MHchibar)
---------------------------------------
MHresourcebarshow = CreateFrame("CheckButton", "MHResourceBarShow", MonkHelper.panel, "ChatConfigCheckButtonTemplate")
MHresourcebarshow:SetPoint("TOPLEFT", 15, -80)
MHResourceBarShowText:SetText("Resource Tracker")
MHresourcebarshow:SetChecked(MonkHelper_Options.show.MHresourcebar)
----------------------------------------
MHparalysisshow = CreateFrame("CheckButton", "MHParalysisShow", MonkHelper.panel, "ChatConfigCheckButtonTemplate")
MHparalysisshow:SetPoint("TOPLEFT", 15, -100)
MHParalysisShowText:SetText("Paralysis Monitor")
MHparalysisshow:SetChecked(MonkHelper_Options.show.MHparalysis)
----------------------------------------
MHparalysisnotify = CreateFrame("CheckButton", "MHParalysisNotify", MonkHelper.panel, "ChatConfigCheckButtonTemplate")
MHparalysisnotify:SetPoint("TOPLEFT", 15, -120)
MHParalysisNotifyText:SetText("Enable Paralysis Monitor Notifications")
MHparalysisnotify:SetChecked(MonkHelper_Options.pmnotify)
----------------------------------------
MHparalysisautohide = CreateFrame("CheckButton", "MHParalysisAutoHide", MonkHelper.panel, "ChatConfigCheckButtonTemplate")
MHparalysisautohide:SetPoint("TOPLEFT", 15, -140)
MHParalysisAutoHideText:SetText("Hide Paralysis Cooldown When Nothing Is Affected By Paralysis")
MHparalysisautohide:SetChecked(MonkHelper_Options.pmautohide)
----------------------------------------

-- Spec & Talent options

MonkHelper.spec = CreateFrame("Frame", "MHSpecOpt", UIParent)
MonkHelper.spec.name = "Spec & Talents"
MonkHelper.spec.parent = MonkHelper.panel.name
InterfaceOptions_AddCategory(MonkHelper.spec)

MonkHelper.spec.default = function()
MonkHelper_Defaults()
MonkHelper_UpdateUI()
end
MonkHelper.spec.okay = function()
MonkHelper_Apply()
end
MonkHelper.spec.cancel = function()
MonkHelper_Cancel()
end
MonkHelper.spec.refresh = function()
MonkHelper_Cancel()
end
MHapplyspec = CreateFrame("Button", "MHApplySpec", MonkHelper.spec, "UIPanelButtonTemplate")
MHapplyspec:SetHeight(20)
MHapplyspec:SetWidth(70)
MHapplyspec:SetText("Apply")
MHapplyspec:ClearAllPoints()
MHapplyspec:SetPoint("CENTER", MonkHelper.spec, "BOTTOMRIGHT", -50, 20)
MHapplyspec:SetScript("OnClick", MonkHelper_Apply)
-----------Windwalker--------------------------------------------
MHwindwalkertext = MonkHelper.spec:CreateFontString("MHwindwalkertext", "OVERLAY", "GameFontNormal")
MHwindwalkertext:SetPoint("TOPLEFT", MonkHelper.spec, "TOPLEFT", 15, -284)
MHwindwalkertext:SetText("Windwalker")
MHrisingsunkickshow = CreateFrame("CheckButton", "MHRisingSunKickShow", MonkHelper.spec, "ChatConfigCheckButtonTemplate")
MHrisingsunkickshow:SetPoint("TOPLEFT", MHwindwalkertext, "TOPLEFT", 0, -20)
MHRisingSunKickShowText:SetText("Rising Sun Kick Tracker")
MHrisingsunkickshow:SetChecked(MonkHelper_Options.show.MHrisingsunkick)
--------------------------------------------------------
MHflyingserpentkickshow = CreateFrame("CheckButton", "MHFlyingSerpentKickShow", MonkHelper.spec, "ChatConfigCheckButtonTemplate")
MHflyingserpentkickshow:SetPoint("TOPLEFT", MHwindwalkertext, "TOPLEFT", 0, -40)
MHFlyingSerpentKickShowText:SetText("Flying Serpent Kick Tracker")
MHflyingserpentkickshow:SetChecked(MonkHelper_Options.show.MHflyingserpentkick)
--------------------------------------------------------
MHfistsoffuryshow = CreateFrame("CheckButton", "MHFistsofFuryShow", MonkHelper.spec, "ChatConfigCheckButtonTemplate")
MHfistsoffuryshow:SetPoint("TOPLEFT", MHwindwalkertext, "TOPLEFT", 0, -60)
MHFistsofFuryShowText:SetText("Fists of Fury Tracker")
MHfistsoffuryshow:SetChecked(MonkHelper_Options.show.MHfistsoffury)
------------Brewmaster---------------------------------------------
MHbrewmastertext = MonkHelper.spec:CreateFontString("MHbrewmastertext", "OVERLAY", "GameFontNormal")
MHbrewmastertext:SetPoint("TOPLEFT", MonkHelper.spec, 15, -20)
MHbrewmastertext:SetText("Brewmaster")
MHkegsmashshow = CreateFrame("CheckButton", "MHKegSmashShow", MonkHelper.spec, "ChatConfigCheckButtonTemplate")
MHkegsmashshow:SetPoint("TOPLEFT", MHbrewmastertext, "TOPLEFT", 0, -20)
MHKegSmashShowText:SetText("Keg Smash Tracker")
MHkegsmashshow:SetChecked(MonkHelper_Options.show.MHkegsmash)
---------------------------------------------------------
MHguardshow = CreateFrame("CheckButton", "MHGuardShow", MonkHelper.spec, "ChatConfigCheckButtonTemplate")
MHguardshow:SetPoint("TOPLEFT", MHbrewmastertext, "TOPLEFT", 0, -40)
MHGuardShowText:SetText("Guard Tracker")
MHguardshow:SetChecked(MonkHelper_Options.show.MHguard)
---------------------------------------------------------
MHshuffleshow = CreateFrame("CheckButton", "MHShuffleShow", MonkHelper.spec, "ChatConfigCheckButtonTemplate")
MHshuffleshow:SetPoint("TOPLEFT", MHbrewmastertext, "TOPLEFT", 0, -60)
MHShuffleShowText:SetText("Shuffle Tracker")
MHshuffleshow:SetChecked(MonkHelper_Options.show.MHshuffle)
--------------Mistweaver-------------------------------------------
MHmistweavertext = MonkHelper.spec:CreateFontString("MHmistweavertext", "OVERLAY", "GameFontNormal")
MHmistweavertext:SetPoint("TOPLEFT", MonkHelper.spec, "TOPLEFT", 311.5, -20)
MHmistweavertext:SetText("Mistweaver")
MHrenewingmistshow = CreateFrame("CheckButton", "MHRenewingMistShow", MonkHelper.spec, "ChatConfigCheckButtonTemplate")
MHrenewingmistshow:SetPoint("TOPLEFT", MHmistweavertext, "TOPLEFT", 0, -20)
MHRenewingMistShowText:SetText("Renewing Mist Tracker")
MHrenewingmistshow:SetChecked(MonkHelper_Options.show.MHrenewingmist)
---------------------------------------------------------
MHthunderfocusteashow = CreateFrame("CheckButton", "MHThunderFocusTeaShow", MonkHelper.spec, "ChatConfigCheckButtonTemplate")
MHthunderfocusteashow:SetPoint("TOPLEFT", MHmistweavertext, "TOPLEFT", 0, -40)
MHThunderFocusTeaShowText:SetText("Thunder Focus Tea Tracker")
MHthunderfocusteashow:SetChecked(MonkHelper_Options.show.MHthunderfocustea)

-------------------------------------------------------
MHtalentstext = MonkHelper.spec:CreateFontString("MHtalentstext", "OVERLAY", "GameFontNormal")
MHtalentstext:SetPoint("TOPLEFT", MonkHelper.spec, "TOPLEFT", 311.5, -284)
MHtalentstext:SetText("Talents")
MHtier2show = CreateFrame("CheckButton", "MHTier2Show", MonkHelper.spec, "ChatConfigCheckButtonTemplate")
MHtier2show:SetPoint("TOPLEFT", MHtalentstext, "TOPLEFT", 0, -20)
MHTier2ShowText:SetText("Tier 2 Talent Tracker")
MHtier2show:SetChecked(MonkHelper_Options.show.MHtier2)

-------------------------------------------------------
-- abilities options

MonkHelper.abilities = CreateFrame("Frame", "MHAbilitiesOpt", UIParent)
MonkHelper.abilities.name = "Abilities"
MonkHelper.abilities.parent = MonkHelper.panel.name
InterfaceOptions_AddCategory(MonkHelper.abilities)

MonkHelper.abilities.default = function()
MonkHelper_Defaults()
MonkHelper_UpdateUI()
end
MonkHelper.abilities.okay = function()
MonkHelper_Apply()
end
MonkHelper.abilities.cancel = function()
MonkHelper_Cancel()
end
MonkHelper.abilities.refresh = function()
MonkHelper_Cancel()
end
MHapplyabilities = CreateFrame("Button", "MHApplyAbilities", MonkHelper.abilities, "UIPanelButtonTemplate")
MHapplyabilities:SetHeight(20)
MHapplyabilities:SetWidth(70)
MHapplyabilities:SetText("Apply")
MHapplyabilities:ClearAllPoints()
MHapplyabilities:SetPoint("CENTER", MonkHelper.abilities, "BOTTOMRIGHT", -50, 20)
MHapplyabilities:SetScript("OnClick", MonkHelper_Apply)
--------Defensive-----------------------------------------------
MHdefensivetext = MonkHelper.abilities:CreateFontString("MHdefensivetext", "OVERLAY", "GameFontNormal")
MHdefensivetext:SetPoint("TOPLEFT", MonkHelper.abilities, "TOPLEFT", 311.5, -20)
MHdefensivetext:SetText("Defensive")
MHdetoxshow = CreateFrame("CheckButton", "MHDetoxShow", MonkHelper.abilities, "ChatConfigCheckButtonTemplate")
MHdetoxshow:SetPoint("TOPLEFT", MHdefensivetext, "TOPLEFT", 0, -20)
MHDetoxShowText:SetText("Detox Tracker")
MHdetoxshow:SetChecked(MonkHelper_Options.show.MHdetox)
--------Offensive-----------------------------------------------
MHoffensivetext = MonkHelper.abilities:CreateFontString("MHoffensivetext", "OVERLAY", "GameFontNormal")
MHoffensivetext:SetPoint("TOPLEFT", MonkHelper.abilities, "TOPLEFT", 15, -20)
MHoffensivetext:SetText("Offensive")
MHtigerpowershow = CreateFrame("CheckButton", "MHTigerPowerShow", MonkHelper.abilities, "ChatConfigCheckButtonTemplate")
MHtigerpowershow:SetPoint("TOPLEFT", MHoffensivetext, "TOPLEFT", 0, -20)
MHTigerPowerShowText:SetText("Tiger Power Tracker")
MHtigerpowershow:SetChecked(MonkHelper_Options.show.MHtigerpower)
--------Other---------------------------------------------------
MHothertext = MonkHelper.abilities:CreateFontString("MHothertext", "OVERLAY", "GameFontNormal")
MHothertext:SetPoint("TOPLEFT", MonkHelper.abilities, "TOPLEFT", 15, -284)
MHothertext:SetText("Other")
MHbrewtrackershow = CreateFrame("CheckButton", "MHBrewTrackerShow", MonkHelper.abilities, "ChatConfigCheckButtonTemplate")
MHbrewtrackershow:SetPoint("TOPLEFT", MHothertext, "TOPLEFT", 0, -20)
MHBrewTrackerShowText:SetText("Brew Tracker")
MHbrewtrackershow:SetChecked(MonkHelper_Options.show.MHbrewtracker)
-----------------------------------------------------------------
MHexpelharmshow = CreateFrame("CheckButton", "MHExpelHarmShow", MonkHelper.abilities, "ChatConfigCheckButtonTemplate")
MHexpelharmshow:SetPoint("TOPLEFT", MHothertext, "TOPLEFT", 0, -40)
MHExpelHarmShowText:SetText("Expel Harm Tracker")
MHexpelharmshow:SetChecked(MonkHelper_Options.show.MHexpelharm)
-----------------------------------------------------------------

-- Sound Effect Options
MonkHelper.sounds = CreateFrame("Frame", "MHSoundsOpt", UIParent)
MonkHelper.sounds.name = "Sounds"
MonkHelper.sounds.parent = MonkHelper.panel.name
InterfaceOptions_AddCategory(MonkHelper.sounds)

MonkHelper.sounds.default = function()
MonkHelper_Defaults()
MonkHelper_UpdateUI()
end
MonkHelper.sounds.okay = function()
MonkHelper_Apply()
end
MonkHelper.sounds.cancel = function()
MonkHelper_Cancel()
end
MonkHelper.sounds.refresh = function()
MonkHelper_Cancel()
end
MHapplysounds = CreateFrame("Button", "MHApplySounds", MonkHelper.sounds, "UIPanelButtonTemplate")
MHapplysounds:SetHeight(20)
MHapplysounds:SetWidth(70)
MHapplysounds:SetText("Apply")
MHapplysounds:ClearAllPoints()
MHapplysounds:SetPoint("CENTER", MonkHelper.sounds, "BOTTOMRIGHT", -50, 20)
MHapplysounds:SetScript("OnClick", MonkHelper_Apply)
-----Sounds-------------------------------------------------------
MHsoundstext = MonkHelper.sounds:CreateFontString("MHsoundstext", "OVERLAY", "GameFontNormal")
MHsoundstext:SetPoint("TOPLEFT", MonkHelper.sounds, "TOPLEFT", 15, -20)
MHsoundstext:SetText("Sounds")
MHfatality = CreateFrame("CheckButton", "MHFatality", MonkHelper.sounds, "ChatConfigCheckButtonTemplate")
MHfatality:SetPoint("TOPLEFT", MHsoundstext, 0, -20)
MHFatalityText:SetText("Touch of Death Sound")
MHfatality:SetChecked(MonkHelper_Options.fatality)
-----Brewmaster Sounds----------------------------------------------
MHbrewmastersoundstext = MonkHelper.sounds:CreateFontString("MHbrewmastersoundstext", "OVERLAY", "GameFontNormal")
MHbrewmastersoundstext:SetPoint("TOPLEFT", MonkHelper.sounds, "TOPLEFT", 311.5, -20)
MHbrewmastersoundstext:SetText("Brewmaster Sounds")
--------------------------------------------------------------------
-----Mistweaver Sounds----------------------------------------------
MHmistweaversoundstext = MonkHelper.sounds:CreateFontString("MHmistweaversoundstext", "OVERLAY", "GameFontNormal")
MHmistweaversoundstext:SetPoint("TOPLEFT", MonkHelper.sounds, "TOPLEFT", 15, -284)
MHmistweaversoundstext:SetText("Mistweaver Sounds")
MHvitalmists = CreateFrame("CheckButton", "MHVitalMists", MonkHelper.sounds, "ChatConfigCheckButtonTemplate")
MHvitalmists:SetPoint("TOPLEFT", MHmistweaversoundstext, "TOPLEFT", 0, -20)
MHVitalMistsText:SetText("Vital Mists Sound")
MHvitalmists:SetChecked(MonkHelper_Options.vitalmists)
--------------------------------------------------------------------
-----Windwalker Sounds----------------------------------------------
MHwindwalkersoundstext = MonkHelper.sounds:CreateFontString("MHwindwalkersoundstext", "OVERLAY", "GameFontNormal")
MHwindwalkersoundstext:SetPoint("TOPLEFT", MonkHelper.sounds, "TOPLEFT", 311.5, -284)
MHwindwalkersoundstext:SetText("Windwalker Sounds")
MHcbpalm = CreateFrame("CheckButton", "MHCBPalm", MonkHelper.sounds, "ChatConfigCheckButtonTemplate")
MHcbpalm:SetPoint("TOPLEFT", MHwindwalkersoundstext, "TOPLEFT", 0, -20)
MHCBPalmText:SetText("Combo Breaker: Tiger Palm Sound")
MHcbpalm:SetChecked(MonkHelper_Options.cbtigerpalm)
------------------------------------------------------------
MHcbkick = CreateFrame("CheckButton", "MHCBKick", MonkHelper.sounds, "ChatConfigCheckButtonTemplate")
MHcbkick:SetPoint("TOPLEFT", MHwindwalkersoundstext, "TOPLEFT", 0, -40)
MHCBKickText:SetText("Combo Breaker: Blackout Kick Sound")
MHcbkick:SetChecked(MonkHelper_Options.cbblackoutkick)
------------------------------------------------------------

end

function MonkHelper_Apply()
MonkHelper_Options.fatality = MonkHelper_Convert(MHfatality:GetChecked())
MonkHelper_Options.cbtigerpalm = MonkHelper_Convert(MHcbpalm:GetChecked())
MonkHelper_Options.cbblackoutkick = MonkHelper_Convert(MHcbkick:GetChecked())
MonkHelper_Options.vitalmists = MonkHelper_Convert(MHvitalmists:GetChecked())
MonkHelper_Options.chibarscale = MHscale:GetValue()
MonkHelper_Options.resourcebarscale = MHrscale:GetValue()
MonkHelper_Options.lockframes = MonkHelper_Convert(MHlock:GetChecked())
MonkHelper_Options.hideframes = MonkHelper_Convert(MHhide:GetChecked())
MonkHelper_Options.show.MHchibar = MonkHelper_Convert(MHchibarshow:GetChecked())
MonkHelper_Options.show.MHresourcebar = MonkHelper_Convert(MHresourcebarshow:GetChecked())
MonkHelper_Options.show.MHparalysis = MonkHelper_Convert(MHparalysisshow:GetChecked())
MonkHelper_Options.pmnotify = MonkHelper_Convert(MHparalysisnotify:GetChecked())
MonkHelper_Options.pmautohide = MonkHelper_Convert(MHparalysisautohide:GetChecked())
MonkHelper_Options.show.MHtier2 = MonkHelper_Convert(MHtier2show:GetChecked())
MonkHelper_Options.show.MHexpelharm = MonkHelper_Convert(MHexpelharmshow:GetChecked())
MonkHelper_Options.show.MHrisingsunkick = MonkHelper_Convert(MHrisingsunkickshow:GetChecked())
MonkHelper_Options.show.MHtigerpower = MonkHelper_Convert(MHtigerpowershow:GetChecked())
MonkHelper_Options.show.MHbrewtracker = MonkHelper_Convert(MHbrewtrackershow:GetChecked())
MonkHelper_Options.show.MHfistsoffury = MonkHelper_Convert(MHfistsoffuryshow:GetChecked())
MonkHelper_Options.show.MHkegsmash = MonkHelper_Convert(MHkegsmashshow:GetChecked())
MonkHelper_Options.show.MHguard = MonkHelper_Convert(MHguardshow:GetChecked())
MonkHelper_Options.show.MHshuffle = MonkHelper_Convert(MHshuffleshow:GetChecked())
MonkHelper_Options.show.MHrenewingmist = MonkHelper_Convert(MHrenewingmistshow:GetChecked())
MonkHelper_Options.show.MHthunderfocustea = MonkHelper_Convert(MHthunderfocusteashow:GetChecked())
MonkHelper_Options.show.MHdetox = MonkHelper_Convert(MHdetoxshow:GetChecked())
MonkHelper_Options.show.MHflyingserpentkick = MonkHelper_Convert(MHflyingserpentkickshow:GetChecked())
MonkHelper_UpdateUI()
end

function MonkHelper_Cancel()
MHfatality:SetChecked(MonkHelper_Options.fatality)
MHcbpalm:SetChecked(MonkHelper_Options.cbtigerpalm)
MHcbkick:SetChecked(MonkHelper_Options.cbblackoutkick)
MHvitalmists:SetChecked(MonkHelper_Options.vitalmists)
MHscale:SetValue(MonkHelper_Options.chibarscale)
MHrscale:SetValue(MonkHelper_Options.resourcebarscale)
MHlock:SetChecked(MonkHelper_Options.lockframes)
MHhide:SetChecked(MonkHelper_Options.hideframes)
MHchibarshow:SetChecked(MonkHelper_Options.show.MHchibar)
MHresourcebarshow:SetChecked(MonkHelper_Options.show.MHresourcebar)
MHparalysisshow:SetChecked(MonkHelper_Options.show.MHparalysis)
MHparalysisnotify:SetChecked(MonkHelper_Options.pmnotify)
MHparalysisautohide:SetChecked(MonkHelper_Options.pmautohide)
MHtier2show:SetChecked(MonkHelper_Options.show.MHtier2)
MHexpelharmshow:SetChecked(MonkHelper_Options.show.MHexpelharm)
MHrisingsunkickshow:SetChecked(MonkHelper_Options.show.MHrisingsunkick)
MHtigerpowershow:SetChecked(MonkHelper_Options.show.MHtigerpower)
MHbrewtrackershow:SetChecked(MonkHelper_Options.show.MHbrewtracker)
MHfistsoffuryshow:SetChecked(MonkHelper_Options.show.MHfistsoffury)
MHkegsmashshow:SetChecked(MonkHelper_Options.show.MHkegsmash)
MHguardshow:SetChecked(MonkHelper_Options.show.MHguard)
MHshuffleshow:SetChecked(MonkHelper_Options.show.MHshuffle)
MHrenewingmistshow:SetChecked(MonkHelper_Options.show.MHrenewingmist)
MHthunderfocusteashow:SetChecked(MonkHelper_Options.show.MHthunderfocustea)
MHdetoxshow:SetChecked(MonkHelper_Options.show.MHdetox)
MHflyingserpentkickshow:SetChecked(MonkHelper_Options.show.MHflyingserpentkick)
end

function MonkHelper_Defaults()
MonkHelper_Options = {
fatality = 1,
cbtigerpalm = 1,
cbblackoutkick = 1,
vitalmists = 1,
chibarscale = 1,
resourcebarscale = 1,
lockframes = 0,
hideframes = 0,
pmnotify = 1,
pmautohide = 0,
show = {
MHchibar = 1,
MHresourcebar = 1,
MHparalysis = 1,
MHtier2 = 1,
MHexpelharm = 1,
MHrisingsunkick = 1,
MHflyingserpentkick = 1,
MHtigerpower = 1,
MHbrewtracker = 1,
MHfistsoffury = 1,
MHkegsmash = 1, 
MHguard = 1,
MHshuffle = 1,
MHrenewingmist = 1,
MHthunderfocustea = 1,
MHdetox = 1,
},
}
end

function MonkHelper_VarCheck()
if not MonkHelper_Options.fatality then
MonkHelper_Options.fatality = 1
end
if not MonkHelper_Options.cbtigerpalm then
MonkHelper_Options.cbtigerpalm = 1
end
if not MonkHelper_Options.cbblackoutkick then
MonkHelper_Options.cbblackoutkick = 1
end
if not MonkHelper_Options.vitalmists then
MonkHelper_Options.vitalmists = 1
end
if not MonkHelper_Options.chibarscale then
MonkHelper_Options.chibarscale = 1
end
if not MonkHelper_Options.resourcebarscale then
MonkHelper_Options.resourcebarscale = 1
end
if not MonkHelper_Options.lockframes then
MonkHelper_Options.lockframes = 0
end
if not MonkHelper_Options.hideframes then
MonkHelper_Options.hideframes = 0
end
if not MonkHelper_Options.pmnotify then
MonkHelper_Options.pmnotify = 1
end
if not MonkHelper_Options.pmautohide then
MonkHelper_Options.pmautohide = 0
end
if not MonkHelper_Options.show.MHchibar then
MonkHelper_Options.show.MHchibar = 1
end
if not MonkHelper_Options.show.MHresourcebar then
MonkHelper_Options.show.MHresourcebar = 1
end
if not MonkHelper_Options.show.MHparalysis then
MonkHelper_Options.show.MHparalysis = 1
end
if not MonkHelper_Options.show.MHtier2 then
MonkHelper_Options.show.MHtier2 = 1
end
if not MonkHelper_Options.show.MHexpelharm then
MonkHelper_Options.show.MHexpelharm = 1
end
if not MonkHelper_Options.show.MHrisingsunkick then
MonkHelper_Options.show.MHrisingsunkick = 1
end
if not MonkHelper_Options.show.MHflyingserpentkick then
MonkHelper_Options.show.MHflyingserpentkick = 1
end
if not MonkHelper_Options.show.MHtigerpower then
MonkHelper_Options.show.MHtigerpower = 1
end
if not MonkHelper_Options.show.MHbrewtracker then
MonkHelper_Options.show.MHbrewtracker = 1
end
if not MonkHelper_Options.show.MHfistsoffury then
MonkHelper_Options.show.MHfistsoffury = 1
end
if not MonkHelper_Options.show.MHkegsmash then
MonkHelper_Options.show.MHkegsmash = 1
end
if not MonkHelper_Options.show.MHguard then
MonkHelper_Options.show.MHguard = 1
end
if not MonkHelper_Options.show.MHshuffle then
MonkHelper_Options.show.MHshuffle = 1
end
if not MonkHelper_Options.show.MHrenewingmist then
MonkHelper_Options.show.MHrenewingmist = 1
end
if not MonkHelper_Options.show.MHthunderfocustea then
MonkHelper_Options.show.MHthunderfocustea = 1
end
if not MonkHelper_Options.show.MHdetox then
MonkHelper_Options.show.MHdetox = 1
end
end

function MonkHelper_Convert(arg)
if arg == nil then
return 0
else 
return arg
end
end


SLASH_MONKHELPER1 = "/mh"
SLASH_MONKHELPER2 = "/monkhelper"
SlashCmdList["MONKHELPER"] = function()
InterfaceOptionsFrame_OpenToCategory(MonkHelper.panel)
end
-- w623 h568, x311.5 y-284, x326.5 y-299
end
